## With Callback
```javascript
const fruits = ['pear', 'banana', 'apple', 'orange'];

fruits.sort((a, b) => a > b ? 1: -1);

console.log(fruits);
// Expected output: ['apple', 'banana', 'orange', 'pear']
```
```javascript
const fruits = ['pear', 'banana', 'apple', 'orange'];

fruits.sort((a, b) => {
  if(a > b) return 1; // Switch these for descending
  if(b > a) return -1; // Switch these for descending
  return 0;
});

console.log(fruits);
// Expected output: ['apple', 'banana', 'orange', 'pear']
```


## Without Callback
Using `Array.sort()` without a callback, only sorts item in ascending order and does comparison by UTF-16 values.

> **CAUTION - NOT RECOMMENDED**
> This is not recommended for use on anything besides single digit numbers and 1 word strings as there can be issues with UTF-16 comparison.
> For example:
>```javascript
> const numbers = [1, 20, 100000];
>
> numbers.sort()
>
> console.log(numbers);
> // Expected output: [1, 100000, 20]
>```


```javascript
const fruits = ['pear', 'banana', 'apple', 'orange'];

fruits.sort();

console.log(fruits);
// Expected output: ['apple', 'banana', 'orange', 'pear']
```

export const section = 'Vanilla JavaScript';
export const name = 'Sort an array of values';
export const slug = 'sort-an-array-of-values';
export const tags = ['Array'];
export const keywords = ['sort'];
export const related = [{
  slug: 'sort-an-array-of-objects',
  section: 'Vanilla JavaScript'
}];
